Subject: Re: bug#61730: 30.0.50; Compiler warnings for delq and delete

From: Michael Heerdegen <[email-masked]>
Date: Sat, 25 Feb 2023 16:09:40 +0100

Eli Zaretskii <[email-masked]> writes:

> > What's your opinion about the case of non-destructive functions - is it
> > ok if we would always warn about thrown away return values of calls of
> > them?
>
> What are "non-destructive functions" in this context?

I mean all functions with either no side effects or such which may alter
original list structures but in unpredictable ways so that only the
return value is ever useful.

Michael.